package com.videoplaza.bridge.core
{
	import se.videoplaza.kit.api.utils.ITimeReference;
	import com.videoplaza.bridge.utils.IVideoplazaPlugin;
	
	public class TimeReference implements ITimeReference 
	{
		private var _vpPlugin:IVideoplazaPlugin;
		
		/**
		 * helper interface class used to broadcast the video current position to vp ad player.
		 * @param reference to vp plugin
		 */
		public function TimeReference(vpPlugin:IVideoplazaPlugin) {
			_vpPlugin = vpPlugin;
		}
		
		/**
		 * videoplaza ad player will call this method every time it needs to 
		 * findout the video position.
		 * @return video current positon 
		 */
		public function get time():Number {
			return _vpPlugin.getVideoPosition();
		}
	}
}