package com.videoplaza.bridge.utils
{
	import com.videoplaza.bridge.core.VpAdPlayer;
	
	import flash.display.Stage;
	import flash.events.Event;
	import flash.events.IEventDispatcher;

	public interface IVideoplazaPlugin extends IEventDispatcher {
				
		/**
		 * Videoplaza adPlayer fails to load
		 * @param errorMessage
		 */
		function videoplazaLoadedFail(errorMessage:String):void;
		
		/**
		 * Videoplaza adPlayer loads successfully
		 * @param vpAdPlayer
		 */
		function videoplazaLoadedSuccess(vpAdPlayer:VpAdPlayer):void;
		
		/**
		 * Set a new media file configuration
		 * @param media = a reference to the current media object
		 */
		function setNewItem(media:Object=null):void;
		
		/**
		 * Every time a new ad module is created it will fire this method, this can be 
		 * used to add further costumizations and listeners to the ad modules.
		 */
		function onAdModuleCreated(moduleEvent:Event):void
		
		
		function get isFullScreen():Boolean;
		function get isMuted():Boolean;
		
		function get videoplazaConfig():Object;
		
		function getStage():Stage;
		
		function getScreenX():Number;
		function getScreenY():Number;
		function getScreenWidth():Number;
		function getScreenHeight():Number;
		
		function getPlayerVolume():Number;
		
		function getVideoPosition():Number;
		
		function setScreenPosition(x:Number,y:Number):void;
		function setScreenSize(w:Number,h:Number):void;
		
		function setPlayerVolume(volume:Number):void;
			
		function setPlayerPlay():void;
		function setPlayerPause():void;
		function setPlayerControlsEnable(enable:Boolean):void;
		
		function get adPlayer():VpAdPlayer;
	}
}